Loading...
Searching...
No Matches
ranges::box< Element, Tag, detail::box_compress::ebo > Class Template Reference
Utility
Inheritance diagram for ranges::box< Element, Tag, detail::box_compress::ebo >:

## Public Member Functions

template<typename E > requires (!same_as<box, detail::decay_t<E>>) && constructible_from<Element, E> && convertible_to<E, Element>
constexpr | box (E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value)
template<typename E > requires (!same_as<box, detail::decay_t<E>>) && constructible_from<Element, E> && (!convertible_to<E, Element>)
constexpr | box (E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value)
constexpr Element && | get () &&noexcept
constexpr Element & | get () &noexcept
constexpr Element const && | get () const &&noexcept
constexpr Element const & | get () const &noexcept